module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={sound_path=[[Magic/sound_magic_41702_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[3]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.05,
		},
		[4]={
			args={
				alive_time=2.5,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=false,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_417/Prefabs/417_attack2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.05,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=0.2,},
		[6]={
			args={
				alive_time=0.25,
				ease_hide_time=0.7,
				ease_show_time=0.3,
				excutor=[[atkobj]],
				mat_path=[[Material/effect_Fresnel_417mask.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.1,
		},
		[7]={args={},func_name=[[MagcAnimEnd]],start_time=1.5,},
		[8]={
			args={
				alive_time=2.2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_417/Prefabs/417_buff2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=2.8,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=3,
		},
		[10]={args={},func_name=[[End]],start_time=3.5,},
	},
	group_cmds={},
	magic_anim_end_time=1.5,
	magic_anim_start_time=0.2,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_417/Prefabs/417_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_417/Prefabs/417_buff2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
